{if {$instance->getProperty('useLink')}}
    <a class="dzm-itb-bgi-wrapper" style="min-height:{$instance->getProperty('imgMinHeight')};max-height:{$instance->getProperty('imgMaxHeight')};color:{$instance->getProperty('textColor')};"
        href="{$instance->getProperty('btnlink')}"
        {if {$instance->getProperty('btnopen')}} target="_blank" {/if}>
{else}
    <div class="dzm-itb-bgi-wrapper" style="min-height:{$instance->getProperty('imgMinHeight')};color:{$instance->getProperty('textColor')};">
{/if}
        <div class="dzm-itb-overlay" style="background-color:{$instance->getProperty('overlayColor')};"></div>
        {if !$instance->getProperty('hideImage')}
            {$img = $instance->getProperty('img')}
            {if $img !=''}
                {$imgAttribs = $instance->getImageAttributes($img, {$instance->getProperty('alt')}, {$instance->getProperty('title')})}
                {image
                srcset=$imgAttribs.srcset
                sizes=$imgAttribs.srcsizes
                src=$imgAttribs.src
                alt=$imgAttribs.alt|escape:'html'
                title=$slideTitle|escape:'html'}
            {else}
                {image
                src='/plugins/dzm_opc_plus/Portlets/DZMImageTextBox/assets/placeholder.jpg'
                style=$style}
            {/if}
        {/if}

        {$padding = $instance->getProperty('textPadding')}
        {if $padding >= '-3'}
            {$paddingtop = 'pt-3'}
        {/if}
        <div class="{if $instance->getProperty('isAnimated')} dzm-itb-bgi-is-animated{/if}
                     dzm-itb-bgi-content-container text-{$instance->getProperty('horizontalTextAlignment')}
                     justify-content-{$instance->getProperty('verticalTextAlignment')}
                     gap-{$instance->getProperty('gapBetweenTextAndButton')}
                     {if $instance->getProperty('isTextBackground') == true}
                        align-items-{$instance->getProperty('horizontalTextAlignment')}
                     {/if}
                     {if $instance->getProperty('textPaddingType') == 'px'}
                         {$instance->getProperty('onlyHorizontalPadding')}
                     {elseif $instance->getProperty('textPaddingType') == 'py'}
                         {$instance->getProperty('onlyVerticalPadding')}
                     {elseif $instance->getProperty('textPaddingType') == 'p'}
                         {$instance->getProperty('padding')}
                     {elseif $instance->getProperty('textPaddingType') == 'px_py'}
                         {$instance->getProperty('horizontalPadding')}
                         {$instance->getProperty('verticalPadding')}
                     {/if}
{*                        p{$padding}*}
{*                        {$paddingtop}*}
        ">
            <div {if $instance->getProperty('isTextBackground') == true}
                class="p-{$instance->getProperty('textBackgroundPadding')} d-flex flex-column gap-1"
                style="background-color: {$instance->getProperty('textBackgroundColor')};
                       width: {$instance->getProperty('textContainerWidth')};
                        max-width: {$instance->getProperty('maxTextContainerWidth')};"
                {/if}>
                <div class="dzm-itb-bgi-headline">
{*                    <!--<h2 class="h4 white text-uppercase bold text-center mt-3">{$instance->getProperty('headline')}</h2>-->*}
                    {include file='../../../dzm_resources/Portlets/Snippets/headline.tpl' classes="bold mb-0"}
                </div>

                <div class="dzm-itb-bgi-content">
                    {$instance->getProperty('content')}
                    <style>
                        .dzm-itb-bgi-content p {
                            margin: 0;
                        }
                    </style>
                </div>
            </div>

                <div class="dzm-itb-content-btn d-flex justify-content-{$instance->getProperty('buttonAlignment')}">
                    {include file="../../../dzm_resources/Portlets/Snippets/button.tpl" isFakeBtn=$instance->getProperty('useLink')}
                </div>
        </div>

{if {$instance->getProperty('useLink')}}
    </a>
{else}
    </div>
{/if}

